org.keycloak.connections.mongo.impl.types

## Class ListMapper<T extends List>

- java.lang.Object
- - org.keycloak.connections.mongo.impl.types.ListMapper<T>

- All Implemented Interfaces:
    Mapper<T,com.mongodb.BasicDBList>

      public class ListMapper<T extends List>
      extends Object
      implements Mapper<T,com.mongodb.BasicDBList>

  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListMapper(MapperRegistry mapperRegistry, Class<T> listType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.mongodb.BasicDBList` | `convertObject(MapperContext<T,com.mongodb.BasicDBList> context)` Convert object from one type to expected type
    `Class<com.mongodb.BasicDBList>` | `getExpectedReturnType()`
    `Class<? extends T>` | `getTypeOfObjectToConvert()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListMapper

          public ListMapper(MapperRegistry mapperRegistry,
                    Class<T> listType)

  - ### Method Detail

    - #### convertObject

          public com.mongodb.BasicDBList convertObject(MapperContext<T,com.mongodb.BasicDBList> context)

      Description copied from interface: `Mapper`
      Convert object from one type to expected type
      Specified by:
        `convertObject` in interface `Mapper<T extends List,com.mongodb.BasicDBList>`
      Parameters:
        `context` - Encapsulates reference to converted object and other things, which might be helpful in conversion
      Returns:
        converted object

    - #### getTypeOfObjectToConvert

          public Class<? extends T> getTypeOfObjectToConvert()

      Specified by:
        `getTypeOfObjectToConvert` in interface `Mapper<T extends List,com.mongodb.BasicDBList>`

    - #### getExpectedReturnType

          public Class<com.mongodb.BasicDBList> getExpectedReturnType()

      Specified by:
        `getExpectedReturnType` in interface `Mapper<T extends List,com.mongodb.BasicDBList>`

Copyright © 2014. All Rights Reserved.